#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EGRAudio {
    Game = 0,
    System = 1,
    Select = 2,
}

impl EGRAudio {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Game as i32 => Some(Self::Game),
            x if x == Self::System as i32 => Some(Self::System),
            x if x == Self::Select as i32 => Some(Self::Select),
            _ => None,
        }
    }
}
